{% load static %}

{% url 'home' as home_url %}
{% url 'softwares_sheets' as softwares_sheets_url %}
{% url 'all_answers' as all_answers_url %}
{% url 'add_new_software' as add_new_software_url %}
{% url 'login' as login_url %}

{% block content %}

<nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">

    <div class="navbar-brand">
        <img src="{% static 'images/git_icon.png' %}" width="50" height="50" alt="Logo">
    </div>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item {% if request.path == home_url %} active {%endif%}">
                <a class="nav-link" href="{{home_url}}">
                    Home 
                </a>
            </li>
            <li class="nav-item {% if request.path == softwares_sheets_url %} active {%endif%}">
                <a class="nav-link" href="{{softwares_sheets_url}}">
                    Softwares sheets
                </a>
            </li>
            <li class="nav-item {% if request.path == all_answers_url %} active {%endif%}">
                <a class="nav-link" href="{{all_answers_url}}">
                    All answers
                    <span class="badge badge-success">{{count_can_be_added_softwares}}</span>
                </a>
            </li>
            <li class="nav-item {% if request.path == add_new_software_url %} active {%endif%}">
                <a class="nav-link" href="{{add_new_software_url}}">
                    Add new software
                </a>
            </li>
            <!-- 
            {% if request.user.is_authenticated %}
            <li class="nav-item {% if request.path == login_url %} active {%endif%}">
                <a class="nav-link" href="{{login_url}}">Logout</a>
            </li>
            {% else %}
            <li class="nav-item {% if request.path == login_url %} active {%endif%}">
                <a class="nav-link" href="{{login_url}}">Login</a>
            </li>
            {% endif %}
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Dropdown
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="#">Something else here</a>
                </div>
            </li>
            !-->
        </ul>
        {% if request.path == softwares_sheets_url or request.path == all_answers_url or request.path == git_list_url %}
        <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">
                Search
            </button>
        </form>
        {% endif %}
    </div>
</nav>

{% endblock %}